#include <algorithm>
#include <iostream>
#include <vector>

#define let auto
#define fn auto
#define usize size_t
using namespace std;

fn fastio() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
}

fn main() -> int {
    fastio();
    usize n, q;

    cin >> n >> q;
    let a = vector<usize>(n);
    let b = vector<usize>(n);

    for (usize i = 0; i < n; i++) {
        cin >> a[i];
    }
    for (usize i = 0; i < n; i++) {
        cin >> b[i];
    }
    for (usize i = 0; i < q; i++) {
        usize l, r, k;
        cin >> l >> r >> k;
        l -= 1;
        k -= 1;
        r -= 1;
        let x = k - l;
        
        let w1 = a[x + l];
        let w2 = b[x + l];
        let wo1 = a[r - x];
        let wo2 = b[r - x];

        if (x == 0) {
            cout << "(" << "\n";
        } else if (x == r - l) {
            cout << ")" << "\n";
        } else {
            if (w1 + wo2 > w2 + wo2)
        }
    }
}